Get refresh information from snapd

Bug #1789335 reported by Robert Ancell on 2018-08-28
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
snapd-glib (Ubuntu)
Low
Unassigned
Bionic
Low
Robert Ancell
Cosmic
Low
Unassigned

Bug Description

[Impact]
snapd provides information on the refresh schedule which is not exposed in snapd-glib

[Test Case]
Check the following Python program works:

from gi.repository import Snapd
c = Snapd.Client ()
i = c.get_system_information_sync ()
print (i.get_refresh_next().format ('%F %R'))

[Regression Potential]
Chance of new parsing code introducing bugs.

Changed in snapd-glib (Ubuntu Cosmic):
status: New → Fix Released
importance: Undecided → Medium
Changed in snapd-glib (Ubuntu Bionic):
importance: Undecided → Low
Changed in snapd-glib (Ubuntu Cosmic):
importance: Medium → Low
Changed in snapd-glib (Ubuntu Bionic):
status: New → Triaged
Changed in snapd-glib (Ubuntu Bionic):
assignee: nobody → Robert Ancell (robert-ancell)
Changed in snapd-glib (Ubuntu Bionic):
status: Triaged → Fix Committed

Hello Robert, or anyone else affected,

Accepted snapd-glib into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd-glib/1.43-0ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed verification-needed-bionic
Will Cooke (willcooke) wrote :

$ python
Python 2.7.15rc1 (default, Apr 15 2018, 21:51:34)
[GCC 7.3.0] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> from gi.repository import Snapd
__main__:1: PyGIWarning: Snapd was imported without specifying a version first. Use gi.require_version('Snapd', '1') before import to ensure that the right version gets loaded.
>>> c = Snapd.Client()
>>> i = c.get_system_information_sync()
>>> print (i.get_refresh_next().format('%F %R'))
2018-09-21 18:11
>>>

works.

tags: added: verification-done-bionic
removed: verification-needed-bionic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package snapd-glib - 1.43-0ubuntu0.18.04.1

---------------
snapd-glib (1.43-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release
    - Support auth cancelled error (LP: #1785240)
    - Support wide scope searches (LP: #1789338)
    - Support publisher information (LP: #1789336)
    - Support refresh information (LP: #1789335)

 -- Robert Ancell <email address hidden> Tue, 28 Aug 2018 16:46:36 +1200

Changed in snapd-glib (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for snapd-glib has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers